/*----------------------------------------------------------------------------
Copyright (c)2000 TogetherSoft Corporation. Patents pending. All rights reserved.
----------------------------------------------------------------------------*/

package CustomerAccountMgmt.CustomerAccountApp;

import java.util.Date;
import java.util.Vector;

/** 
 * @author TogetherSoft
 * @stereotype moment-interval
 * @alias CustomerAccountApplication
 */
public class CustomerAccApplication {
    public void makeCustomerAccountApplication() {
    }

    public void addFeature() {
    }

    public void complete() {
    }

    public void cancel() {
    }

    /**  */
    public boolean checkCompatibilityOfFeatures() {
        return false;
    }

    public void generateAccount() {
    }

    public int evaluateStrengthOfThisApplication() {
        if (applicationStrength == 0) {
            reevaluateStrengthOfThisApplication();
        }
        return applicationStrength;
    }

    public int reevaluateStrengthOfThisApplication() {
        // calc strength then set applicationStrength attribute
        return applicationStrength;
    }

    public void mi_generateAccount() {
    }

    public int mi_assessQualityOfResultingAccounts() {
        return 0;
    }

    public static Vector listApplications() {
        return new Vector();
    }

    public static int calcAcceptanceRate() {
        return 0;
    }

    private String number;
    private Date dateSubmitted;
    private int priority;
    private Date dateApproved;
    private Date dateRejected;

    /**
     * @supplierCardinality 0..*
     * @clientCardinality 1..*
     */
    private CustomerAccountMgmt.CustomerAccount.CustomerAccount lnkUnnamed;
    private int creditRatingAtTimeOfApplication;
    private int applicationStrength;

    /** @supplierCardinality 1 */
    private IMakeCustomerAccAppl lnkUnnamed3;
}


